---
document: modulemd
version: 2
data:
  name: perl-App-cpanminus
  stream: "1.7044"
  version: 8100020241126081320
  context: e5ce1481
  arch: x86_64
  summary: Get, unpack, build and install CPAN modules
  description: >
    This is a CPAN client that requires zero configuration, and stands alone but it's
    maintainable and extensible with plug-ins and friendly to shell scripting.
  license:
    module:
    - MIT
  dependencies:
  - buildrequires:
      perl: [5.26]
      platform: [el8]
    requires:
      perl: [5.26]
      perl-YAML: []
      platform: [el8]
  references:
    community: https://metacpan.org/release/App-cpanminus
  profiles:
    common:
      description: App-cpanminus distribution
      rpms:
      - perl-App-cpanminus
  api:
    rpms:
    - perl-App-cpanminus
  filter:
    rpms:
    - perl-CPAN-DistnameInfo-dummy
    - perl-Test-Deep
  buildopts:
    rpms:
      macros: >
        %_without_perl_CPAN_Meta_Check_enables_extra_test 1
  components:
    rpms:
      perl-App-cpanminus:
        rationale: The API.
        ref: b466652a19d8ee349e1e77c276acb7980dbd7bfb
        buildorder: 1
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      perl-CPAN-DistnameInfo:
        rationale: Run-time dependency.
        ref: ecf28d36bd707f37c3cee69d2f5cd26cb63c743e
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      perl-CPAN-Meta-Check:
        rationale: Run-time dependency.
        ref: b755f9932e0ff5fdb2880390fe208a885a06b91d
        buildorder: 1
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      perl-File-pushd:
        rationale: Run-time dependency.
        ref: 7950364696a69533d292ef4d922bba75a590086f
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      perl-Module-CPANfile:
        rationale: Run-time dependency.
        ref: a9cb76f030d5bfebd734bf63d1f97ca9391dd84a
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      perl-Parse-PMFile:
        rationale: Run-time dependency.
        ref: f835160b8a74d942f7e3a8662550d9e65c63193a
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      perl-String-ShellQuote:
        rationale: Run-time dependency.
        ref: 5603b226bd9adbb5c8682ab5870dc826aff595c6
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      perl-Test-Deep:
        rationale: Build-time dependency.
        ref: 40b337208ca0029756aacfea9fbab31719572fad
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
  artifacts:
    rpms:
    - perl-App-cpanminus-0:1.7044-6.module_el8.10.0+3922+0003acf2.noarch
    - perl-App-cpanminus-0:1.7044-6.module_el8.10.0+3922+0003acf2.src
    - perl-CPAN-DistnameInfo-0:0.12-13.module_el8.10.0+3922+0003acf2.noarch
    - perl-CPAN-DistnameInfo-0:0.12-13.module_el8.10.0+3922+0003acf2.src
    - perl-CPAN-Meta-Check-0:0.014-6.module_el8.10.0+3922+0003acf2.noarch
    - perl-CPAN-Meta-Check-0:0.014-6.module_el8.10.0+3922+0003acf2.src
    - perl-File-pushd-0:1.014-6.module_el8.10.0+3922+0003acf2.noarch
    - perl-File-pushd-0:1.014-6.module_el8.10.0+3922+0003acf2.src
    - perl-Module-CPANfile-0:1.1002-7.module_el8.10.0+3922+0003acf2.noarch
    - perl-Module-CPANfile-0:1.1002-7.module_el8.10.0+3922+0003acf2.src
    - perl-Parse-PMFile-0:0.41-7.module_el8.10.0+3922+0003acf2.noarch
    - perl-Parse-PMFile-0:0.41-7.module_el8.10.0+3922+0003acf2.src
    - perl-String-ShellQuote-0:1.04-24.module_el8.10.0+3922+0003acf2.noarch
    - perl-String-ShellQuote-0:1.04-24.module_el8.10.0+3922+0003acf2.src
...
